Opened 8 years ago

Last modified 6 years ago

#105 new amélioration

GenjFr et versions de Java (Sun ou bien OpenJDK/IcedTea) -Dépendances dans Ubuntu

Reported by: Tchimec Owned by:
Priority: Normale Milestone: not-applicable
Component: Système/Installation Version: 0.2
Severity: normal Keywords: needinfo
Cc:

Description (last modified by dandre)

Canonical (distrib. Ubuntu) favorise l'OpenJDK et IcedTea? par rapport au Java "officiel" de Sun. Beaucoup d'utilisateurs (dont bibi) préfèrent cependant le Java de Sun qu'ils installent alors "à la main" car ne se trouvant plus dans les dépôts d'Ubuntu. En effet la moitié des sites web ont des problèmes avec la mouture OpenJDK/IcedTea qui est pour le moins bancale.

Le problème est que GenjFr? demande des dépendances Java lors de l'installation par les dépôts "*.deb" (synaptic) et ne voit pas que l'on possède déjà le Java officiel de Sun... installé manuellement.
Est-il bien utile de coder cette dépendance obligatoire Java dans les packages "*.deb" ? Tout le monde sait que GenjFr? tourne sous Java...

Change History (4)

comment:1 Changed 8 years ago by dandre

  • Description modified (diff)

oui il faut positionner cette dépendance car tout le monde ne pourra pas installer le java directement depuis celui de sun?

D'autre par il existe un paquet sun-java6-bin dans ubuntu ce qui permet d'avoir aussi la version sun

pour disposer de la presque dernière version (6.19) il suffit d'installer le dépot suivant: deb http://fr.archive.ubuntu.com/ubuntu/ karmic-proposed multiverse

comment:2 Changed 8 years ago by dandre

  • Milestone set to 0.4

comment:3 Changed 8 years ago by dandre

  • Milestone changed from 0.5 to En attente

la version 0.5 n'est pas disponible sous la forme d'un paquet debian mais d'un fichier d'installation générique pour linux. Ce oaquet d'installation controle d'abord s'il existe sur la machine une version de java compatible avec ancestris

Je mets ce ticket en attente jusqu'au jour où l'on refera un paquet debian.

comment:4 Changed 6 years ago by dandre

  • Keywords needinfo added; Java removed

Je marque ce ticket 'en attente d info' car les dernières versions ne semble pas poser ce problème.

Ce ticket sera fermé lors de la sortie de la version 0.8 si personne ne se manifeste avant

Note: See TracTickets for help on using tickets.